diff --git a/src/gui/res/lang/gui_pl-PL.ts b/src/gui/res/lang/gui_pl-PL.ts
index b8e6d3d9..57afd771 100644
--- a/src/gui/res/lang/gui_pl-PL.ts
+++ b/src/gui/res/lang/gui_pl-PL.ts
@@ -686,12 +834,12 @@ Pozwoli to Synergy współpracować z innymi aplikacjami o podniesionych uprawni
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="437"/>
         <source>Fix CAPS LOCK key</source>
-        <translation type="finished">Wyłącz przycisk CAPS LOCK</translation>
+        <translation type="finished">Napraw przycisk CAPS LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="444"/>
         <source>Fix NUM LOCK key</source>
-        <translation type="finished">Wyłącz przycisk NUM LOCK</translation>
+        <translation type="finished">Napraw przycisk NUM LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="451"/>
@@ -712,35 +860,43 @@ Pozwoli to Synergy współpracować z innymi aplikacjami o podniesionych uprawni
         <translation type="finished">&lt;center&gt;Ekran: &lt;b&gt;%1&lt;/b&gt;&lt;/center&gt;&lt;br&gt;Kliknij dwukrotnie, aby edytować ustawienia&lt;br&gt;Przeciągnij ekran do kosza, aby go usunąć</translation>
     </message>
 </context>
+<context>
+    <name>ServerConfigDialog</name>
+    <message>
+        <location filename="src/ServerConfigDialog.cpp" line="75"/>
+        <source>Configure server</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>ServerConfigDialogBase</name>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="13"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="14"/>
         <source>Server Configuration</source>
         <translation type="finished">Konfiguracja serwera</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="23"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="24"/>
         <source>Screens and links</source>
         <translation type="finished">Ekrany i połączenia</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="34"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="35"/>
         <source>Drag a screen from the grid to the trashcan to remove it.</source>
         <translation type="finished">Przeciągnij ekran z siatki do kosza, aby go usunąć.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="59"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="60"/>
         <source>Configure the layout of your synergy server configuration.</source>
         <translation type="finished">Konfiguracja układu serwera synergy.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="72"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="73"/>
         <source>Drag this button to the grid to add a new screen.</source>
         <translation type="finished">Żeby dodać nowy ekran, przesuń ten przycisk na siatkę.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="127"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="128"/>
         <source>Drag new screens to the grid or move existing ones around.
 Drag a screen to the trashcan to delete it.
 Double click on a screen to edit its settings.</source>
@@ -749,129 +905,134 @@ Przeciągnij ekran do kosza, aby go usunąć.
 Kliknij dwukrotnie w ekran, aby edytować jego ustawienia.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="156"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="157"/>
         <source>Hotkeys</source>
         <translation type="finished">Skróty klawiszowe</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="162"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="163"/>
         <source>&amp;Hotkeys</source>
-        <translation type="finished">Skróty klawiszowe</translation>
+        <translation type="finished">&amp;Skróty klawiszowe</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="174"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="175"/>
         <source>&amp;New</source>
         <translation type="finished">&amp;Nowy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="184"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="185"/>
         <source>&amp;Edit</source>
         <translation type="finished">Edytuj</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="194"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="195"/>
         <source>&amp;Remove</source>
         <translation type="finished">Usuń</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="217"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="218"/>
         <source>A&amp;ctions</source>
-        <translation type="finished">Czynności</translation>
+        <translation type="finished">A&amp;kcje</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="229"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="230"/>
         <source>Ne&amp;w</source>
         <translation type="finished">No&amp;wy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="239"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="240"/>
         <source>E&amp;dit</source>
         <translation type="finished">E&amp;dytuj</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="249"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="250"/>
         <source>Re&amp;move</source>
         <translation type="finished">U&amp;suń</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="273"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="274"/>
         <source>Advanced server settings</source>
         <translation type="finished">Zaawansowane ustawienia serwera</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="279"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="280"/>
         <source>&amp;Switch</source>
-        <translation type="finished">Przełącz</translation>
+        <translation type="finished">&amp;Przełącz</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="290"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="291"/>
         <source>Switch &amp;after waiting</source>
-        <translation type="finished">Przełącz po odczekaniu</translation>
+        <translation type="finished">Przełącz &amp;po odczekaniu</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="329"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="382"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="457"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="330"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="383"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="458"/>
         <source>ms</source>
         <translation type="finished">ms</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="343"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="344"/>
         <source>Switch on double &amp;tap within</source>
-        <translation type="finished">Przełącz po podwójnym stuknięciu w</translation>
+        <translation type="finished">Przełącz po &amp;podwójnym stuknięciu w</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="407"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="408"/>
         <source>&amp;Options</source>
         <translation type="finished">&amp;Opcje</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="418"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="419"/>
         <source>&amp;Check clients every</source>
-        <translation type="finished">Sprawdź klientów co każde</translation>
+        <translation type="finished">&amp;Sprawdź klientów co każde</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="469"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="470"/>
         <source>Use &amp;relative mouse moves</source>
-        <translation type="finished">Użyj względnych ruchów myszki</translation>
+        <translation type="finished">Użyj &amp;względnych ruchów myszki</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="479"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="480"/>
         <source>S&amp;ynchronize screen savers</source>
         <translation type="finished">S&amp;ynchronizuj wygaszacze ekranu</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="489"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="490"/>
         <source>Don't take &amp;foreground window on Windows servers</source>
         <translation type="finished">Nie zmieniaj statusu okna na &amp;wierzch w systemie Windows.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="512"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="510"/>
+        <source>Ignore auto config clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/ServerConfigDialogBase.ui" line="520"/>
         <source>&amp;Dead corners</source>
         <translation type="finished">Narożniki nieczynne</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="521"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="529"/>
         <source>To&amp;p-left</source>
         <translation type="finished">Górny-lewy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="528"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="536"/>
         <source>Top-rig&amp;ht</source>
         <translation type="finished">Górny-prawy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="535"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="543"/>
         <source>&amp;Bottom-left</source>
         <translation type="finished">Dolny-lewy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="542"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="550"/>
         <source>Bottom-ri&amp;ght</source>
         <translation type="finished">Dolny-prawy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="564"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="572"/>
         <source>Cor&amp;ner Size:</source>
         <translation type="finished">Wielkość narożnika:</translation>
     </message>
@@ -879,15 +1040,23 @@ Kliknij dwukrotnie w ekran, aby edytować jego ustawienia.</translation>
 <context>
     <name>SettingsDialog</name>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="62"/>
-        <source>Encryption password must not be empty.</source>
-        <translation type="finished">Hasło szyfrowania nie może być puste.</translation>
-    </message>
-    <message>
-        <location filename="src/SettingsDialog.cpp" line="121"/>
+        <location filename="src/SettingsDialog.cpp" line="131"/>
         <source>Save log file to...</source>
         <translation type="finished">Zapisz logi do...</translation>
     </message>
+    <message>
+        <location filename="src/SettingsDialog.cpp" line="151"/>
+        <source>Elevate Synergy</source>
+        <translation type="finished">Zwiększ uprawnienia Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/SettingsDialog.cpp" line="152"/>
+        <source>Are you sure you want to elevate Synergy?
+
+This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
+        <translation type="finished">Czy jesteś pewien, żeby podnieść uprawnienia Synergy?
+Pozwoli to Synergy współpracować z innymi aplikacjami o podniesionych uprawnieniach oraz systemem UAC, ale może stwarzać problemy z aplikacjami bez podniesionych uprawnień. Podnoś uprawnienia tylko w sytuacji, gdy naprawdę tego potrzebujesz.</translation>
+    </message>
 </context>
 <context>
     <name>SettingsDialogBase</name>
@@ -897,132 +1066,102 @@ Kliknij dwukrotnie w ekran, aby edytować jego ustawienia.</translation>
         <translation type="finished">Ustawienia</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="165"/>
-        <source>&amp;Advanced</source>
-        <translation type="finished">Zaawansowane</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="177"/>
+        <location filename="res/SettingsDialogBase.ui" line="32"/>
         <source>Sc&amp;reen name:</source>
         <translation type="finished">Nazwa ekranu:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="194"/>
+        <location filename="res/SettingsDialogBase.ui" line="49"/>
         <source>P&amp;ort:</source>
         <translation type="finished">Port:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="223"/>
+        <location filename="res/SettingsDialogBase.ui" line="78"/>
         <source>&amp;Interface:</source>
         <translation type="finished">Interfejs:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="26"/>
-        <source>&amp;Start Synergy after logging in</source>
-        <translation type="finished">Po zalogowaniu uruchom Synergy</translation>
+        <location filename="res/SettingsDialogBase.ui" line="120"/>
+        <source>Elevate mode</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="33"/>
-        <source>&amp;Automatically start server/client</source>
-        <translation type="finished">Automatycznie uruchom serwer/klienta</translation>
+        <location filename="res/SettingsDialogBase.ui" line="127"/>
+        <source>&amp;Hide on startup</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="40"/>
-        <source>&amp;Hide when server/client starts</source>
-        <translation type="finished">Ukryj gdy serwer/klient startuje</translation>
+        <location filename="res/SettingsDialogBase.ui" line="146"/>
+        <source>&amp;Network Security</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="273"/>
+        <location filename="res/SettingsDialogBase.ui" line="155"/>
+        <source>Use &amp;SSL encryption (unique certificate)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/SettingsDialogBase.ui" line="184"/>
         <source>Logging</source>
         <translation type="finished">Logowanie</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="240"/>
-        <source>&amp;Process mode:</source>
-        <translation type="finished">Uruchom jako:</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="251"/>
-        <source>Service</source>
-        <translation type="finished">Usługa</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="256"/>
-        <source>Desktop (legacy)</source>
-        <translation type="finished">Puplit (dziedziczony)</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="291"/>
+        <location filename="res/SettingsDialogBase.ui" line="202"/>
         <source>&amp;Logging level:</source>
         <translation type="finished">Poziom logowania:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="340"/>
+        <location filename="res/SettingsDialogBase.ui" line="251"/>
         <source>Log to file:</source>
         <translation type="finished">Zapisuj logi do pliku:</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="357"/>
+        <location filename="res/SettingsDialogBase.ui" line="268"/>
         <source>Browse...</source>
         <translation type="finished">Przeglądaj...</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="302"/>
+        <location filename="res/SettingsDialogBase.ui" line="213"/>
         <source>Error</source>
         <translation type="finished">Błąd</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="20"/>
-        <source>&amp;Graphical interface</source>
-        <translation type="finished">Interfejs graficzny</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="55"/>
+        <location filename="res/SettingsDialogBase.ui" line="107"/>
         <source>&amp;Language:</source>
         <translation type="finished">Język</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="82"/>
-        <source>&amp;Encryption</source>
-        <translation type="finished">Szyfrowanie</translation>
+        <location filename="res/SettingsDialogBase.ui" line="20"/>
+        <source>&amp;Miscellaneous</source>
+        <translation type="finished">&amp;Różności</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="97"/>
-        <source>&amp;Mode:</source>
-        <translation type="finished">Tryb:</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="142"/>
-        <source>Pass&amp;word:</source>
-        <translation type="finished">Hasło:</translation>
-    </message>
-    <message>
-        <location filename="res/SettingsDialogBase.ui" line="307"/>
+        <location filename="res/SettingsDialogBase.ui" line="218"/>
         <source>Warning</source>
         <translation type="finished">Ostrzeżenie</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="312"/>
+        <location filename="res/SettingsDialogBase.ui" line="223"/>
         <source>Note</source>
         <translation type="finished">Uwaga</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="317"/>
+        <location filename="res/SettingsDialogBase.ui" line="228"/>
         <source>Info</source>
         <translation type="finished">Info</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="322"/>
+        <location filename="res/SettingsDialogBase.ui" line="233"/>
         <source>Debug</source>
         <translation type="finished">Debug</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="327"/>
+        <location filename="res/SettingsDialogBase.ui" line="238"/>
         <source>Debug1</source>
         <translation type="finished">Debug1</translation>
     </message>
     <message>
-        <location filename="res/SettingsDialogBase.ui" line="332"/>
+        <location filename="res/SettingsDialogBase.ui" line="243"/>
         <source>Debug2</source>
         <translation type="finished">Debug2</translation>
     </message>
